# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rsb/gol/version'

Gem::Specification.new do |spec|
  spec.name          = "rsb-gol"
  spec.version       = Rsb::Gol::VERSION
  spec.authors       = ["Robert Scott-Buccleuch"]
  spec.email         = ["rsb.code@gmail.com"]
  spec.license       = "MIT"
  spec.summary       = %q{command line implementation of game of life}
  spec.homepage      = "https://github.com/rsb/rsb-gol"


  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
      f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "thor",       ">= 0.19.1"
  spec.add_dependency "highline",   ">= 1.7.2"

  spec.add_development_dependency "bundler",    "~> 1.10"
  spec.add_development_dependency "rake",       "~> 10.0"
  spec.add_development_dependency "pry",        "~> 0.10.1"
  spec.add_development_dependency "rspec",      "~> 3.2.0"
  spec.required_ruby_version = '>= 2.0'
end
